CppUnit project page | FAQ

Namespaces | Functions
StringHelper.h File Reference
`#include <cppunit/Portability.h>`
`#include <cppunit/portability/Stream.h>`
`#include <string>`
`#include <type_traits>`
Include dependency graph for StringHelper.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | StringHelper
| Methods for converting values to strings. Replaces CPPUNIT_NS::StringTools::toString.

## Functions
template<typename T >
std::enable_if<!std::is_enum< T >::value, std::string >::type | StringHelper::toString (const T &x)
template<typename T >
std::enable_if< std::is_enum< T >::value, std::string >::type | StringHelper::toString (const T &x)
template<>
std::string | StringHelper::toString (const signed char &x)
template<>
std::string | StringHelper::toString (const unsigned char &x)

| Send comments to: CppUnit Developers